
Ruby - Feature #7412

Pathname#relative_path_from does not support mixed directory separators on windows

11/20/2012 08:15 PM - 7er (Syver Enstad)

Status: Assigned   

Priority: Normal   

Assignee: akr (Akira Tanaka)   

Target version:    

Description

=begin

The support for mixing backslashes and forward slashes in the pathname module in the standard library seems to be broken on

windows

require 'pathname'

base = Pathname.new("c:\\")

filepath = Pathname.new("c:/foo/bar/file.ext")

base.relative_path_from(filepath)

 raises ArgumentError: different prefix: "c:\\" and "c:/foo/bar/file.ext"

Changing filepath to contain backslashes fixes the problem

filepath = Pathname.new("c:\\foo\\bar\\file.ext")

base.relative_path_from(filepath)

 => #<Pathname:../../..>

=end

History

#1 - 11/24/2012 05:41 PM - mame (Yusuke Endoh)

- Status changed from Open to Assigned

- Assignee set to akr (Akira Tanaka)

- Target version set to 2.0.0

#2 - 02/19/2013 12:34 AM - mame (Yusuke Endoh)

- Tracker changed from Bug to Feature

Looks a feature request.

--

Yusuke Endoh mame@tsg.ne.jp

#3 - 02/24/2013 09:19 PM - ko1 (Koichi Sasada)

ping -> akr

#4 - 02/24/2013 09:21 PM - ko1 (Koichi Sasada)

- Target version changed from 2.0.0 to 2.1.0

#5 - 01/30/2014 06:16 AM - hsbt (Hiroshi SHIBATA)

- Target version changed from 2.1.0 to 2.2.0

#6 - 01/05/2018 09:00 PM - naruse (Yui NARUSE)

- Target version deleted (2.2.0)
